Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.memdao
Class ProcessManagementDaoImpl

    java.lang.Object
      org.apache.ode.bpel.memdao.ProcessManagementDaoImpl

All Implemented Interfaces:
  ProcessManagementDAO

    public class ProcessManagementDaoImpl

extends java.lang.Object
implements ProcessManagementDAO

Constructor Summary
`ProcessManagementDaoImpl()`

Method Summary
`java.lang.Object[]` | `findFailedCountAndLastFailedDateForProcessId(BpelDAOConnection conn, java.lang.String status, java.lang.String processId)` Finds process instances that have failures on a given process id, and, returns the number of failed instances and the last failed date in an object array.
`java.util.Date` | `getCreateTime()`
`void` | `prefetchActivityFailureCounts(java.util.Collection<ProcessInstanceDAO> instances)` Prefetches the counts of activity failures for the given instances and sets the values to the _activityFailureCount member variable of the ProcesInstanceDAOImpl.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessManagementDaoImpl

    public ProcessManagementDaoImpl()

Method Detail

### findFailedCountAndLastFailedDateForProcessId

    public java.lang.Object[] findFailedCountAndLastFailedDateForProcessId(BpelDAOConnection conn,
                                                                           java.lang.String status,
                                                                           java.lang.String processId)

  Description copied from interface: `ProcessManagementDAO`
  Finds process instances that have failures on a given process id, and, returns the number of failed instances and the last failed date in an object array.

  Specified by:
    `findFailedCountAndLastFailedDateForProcessId` in interface `ProcessManagementDAO`
  Parameters:
    `conn` - BpelDAOConnection
    `status` - the status string, e.g. "active"
    `processId` - the string representation of the QName of the process
  Returns:
    an array containing the number of failed instances and the last failed date

### prefetchActivityFailureCounts

    public void prefetchActivityFailureCounts(java.util.Collection<ProcessInstanceDAO> instances)

  Description copied from interface: `ProcessManagementDAO`
  Prefetches the counts of activity failures for the given instances and sets the values to the _activityFailureCount member variable of the ProcesInstanceDAOImpl.

  Specified by:
    `prefetchActivityFailureCounts` in interface `ProcessManagementDAO`
  Parameters:
    `instances` - a collection of process instances

### getCreateTime

    public java.util.Date getCreateTime()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD